Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.messageservices.core.v1
Class ResponseType

    java.lang.Object
      be.fgov.ehealth.messageservices.core.v1.ResponseType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:12:06+02:00",
               comments="JAXB RI v2.3.6")
    public class ResponseType

extends Object
implements Serializable

Java class for ResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR"/>
             <element name="author" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}authorType"/>
             <element name="date" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="time" type="{http://www.w3.org/2001/XMLSchema}time"/>
             <element name="request" type="{http://www.ehealth.fgov.be/messageservices/core/v1}RequestType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ResponseType()`

Method Summary
`AuthorType` | `getAuthor()` Gets the value of the author property.
`org.joda.time.DateTime` | `getDate()` Gets the value of the date property.
`IDKMEHR` | `getId()` Gets the value of the id property.
`RequestType` | `getRequest()` Gets the value of the request property.
`org.joda.time.DateTime` | `getTime()` Gets the value of the time property.
`void` | `setAuthor(AuthorType value)` Sets the value of the author property.
`void` | `setDate(org.joda.time.DateTime value)` Sets the value of the date property.
`void` | `setId(IDKMEHR value)` Sets the value of the id property.
`void` | `setRequest(RequestType value)` Sets the value of the request property.
`void` | `setTime(org.joda.time.DateTime value)` Sets the value of the time property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseType

    public ResponseType()

Method Detail

### getId

    public IDKMEHR getId()

  Gets the value of the id property.

  Returns:
    possible object is `IDKMEHR`

### setId

    public void setId(IDKMEHR value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `IDKMEHR`

### getAuthor

    public AuthorType getAuthor()

  Gets the value of the author property.

  Returns:
    possible object is `AuthorType`

### setAuthor

    public void setAuthor(AuthorType value)

  Sets the value of the author property.

  Parameters:
    `value` - allowed object is `AuthorType`

### getDate

    public org.joda.time.DateTime getDate()

  Gets the value of the date property.

  Returns:
    possible object is `String`

### setDate

    public void setDate(org.joda.time.DateTime value)

  Sets the value of the date property.

  Parameters:
    `value` - allowed object is `String`

### getTime

    public org.joda.time.DateTime getTime()

  Gets the value of the time property.

  Returns:
    possible object is `String`

### setTime

    public void setTime(org.joda.time.DateTime value)

  Sets the value of the time property.

  Parameters:
    `value` - allowed object is `String`

### getRequest

    public RequestType getRequest()

  Gets the value of the request property.

  Returns:
    possible object is `RequestType`

### setRequest

    public void setRequest(RequestType value)

  Sets the value of the request property.

  Parameters:
    `value` - allowed object is `RequestType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PHYSIOTHERAPIST 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.